Summary:	Linux kernel evdev device emulation
Summary(pl.UTF-8):	Emulacja linuksowych urządzeń evdev
Name:		evemu
Version:	2.3.1
Release:	1
License:	LGPL v3
Group:		Libraries
Source0:	http://www.freedesktop.org/software/evemu/%{name}-%{version}.tar.xz
# Source0-md5:	5d8df41c6af589f7610dab22b08966aa
URL:		http://www.freedesktop.org/wiki/Evemu/
BuildRequires:	asciidoc
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.11
BuildRequires:	libevdev-devel >= 1.3
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	tar >= 1:1.22
BuildRequires:	xmlto
BuildRequires:	xz
Requires:	libevdev >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The evemu library and tools are used to describe devices, record data,
create devices and replay data from Linux kernel evdev devices.

%description -l pl.UTF-8
Biblioteka i narzędzia evemu służą do opisywania urządzeń, zapisu
danych, tworzenia urządzeń i odtwarzania danych z urządzeń evdev jądra
Linuksa.

%package devel
Summary:	Header files for evemu library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki evemu
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libevdev-devel >= 1.3

%description devel
Header files for evemu library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki evemu.

%package static
Summary:	Static evemu library
Summary(pl.UTF-8):	Statyczna biblioteka evemu
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static evemu library.

%description static -l pl.UTF-8
Statyczna biblioteka evemu.

%package -n python-evemu
Summary:	Python interface to evemu library
Summary(pl.UTF-8):	Pythonowy interfejs do biblioteki evemu
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-evemu
Python interface to evemu library.

%description -n python-evemu -l pl.UTF-8
Pythonowy interfejs do biblioteki evemu.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/evemu-*
%attr(755,root,root) %{_libdir}/libevemu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevemu.so.3
%{_mandir}/man1/evemu-*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libevemu.so
%{_includedir}/evemu.h
%{_pkgconfigdir}/evemu.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libevemu.a

%files -n python-evemu
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/evemu
%{py_sitescriptdir}/evemu/*.py[co]
%changelog
* Sun Oct 18 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/evemu.git;a=log;h=master

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 5d99ba0
- updated to 2.3.1

* Fri Sep 04 2015 Jakub Bogusz <qboosh@pld-linux.org> c57374e
- updated to 2.2.0

* Sat May 16 2015 Jan Rękorajski <baggins@pld-linux.org> 584a4f1
- release 2 (by relup.sh)

* Sun Nov 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 3d371a7
- updated to 2.1.0

* Sun Jun 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 70375d6
- updated to 2.0.0 (note: new soname)

* Sun Nov 24 2013 Jakub Bogusz <qboosh@pld-linux.org> e16e1ec
- updated to 1.2.0

* Tue Aug 13 2013 Jan Rękorajski <baggins@pld-linux.org> 3e8c99d
- no URL for source, the archive is generated on every fetch having
  different md5sum every time

* Tue Aug 13 2013 Jan Rękorajski <baggins@pld-linux.org> 3c4938d
- updated md5sum

* Sun May 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 19b2454
- new URLs, updated to 1.1.0

* Fri Oct 12 2012 Jakub Bogusz <qboosh@pld-linux.org> ae993a2
- new

